JaxbAttributes (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbAttributes

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbAttributes

    public class JaxbAttributes

extends Object

This element contains the entity field or property mappings. It may be sparsely populated to include only a subset of the fields or properties. If metadata-complete for the entity is true then the remainder of the attributes will be defaulted according to the default rules.

Java class for attributes complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="attributes">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <choice>
               <element name="id" type="{http://java.sun.com/xml/ns/persistence/orm}id" maxOccurs="unbounded" minOccurs="0"/>
               <element name="embedded-id" type="{http://java.sun.com/xml/ns/persistence/orm}embedded-id" minOccurs="0"/>
             </choice>
             <element name="basic" type="{http://java.sun.com/xml/ns/persistence/orm}basic" maxOccurs="unbounded" minOccurs="0"/>
             <element name="version" type="{http://java.sun.com/xml/ns/persistence/orm}version" maxOccurs="unbounded" minOccurs="0"/>
             <element name="many-to-one" type="{http://java.sun.com/xml/ns/persistence/orm}many-to-one" maxOccurs="unbounded" minOccurs="0"/>
             <element name="one-to-many" type="{http://java.sun.com/xml/ns/persistence/orm}one-to-many" maxOccurs="unbounded" minOccurs="0"/>
             <element name="one-to-one" type="{http://java.sun.com/xml/ns/persistence/orm}one-to-one" maxOccurs="unbounded" minOccurs="0"/>
             <element name="many-to-many" type="{http://java.sun.com/xml/ns/persistence/orm}many-to-many" maxOccurs="unbounded" minOccurs="0"/>
             <element name="element-collection" type="{http://java.sun.com/xml/ns/persistence/orm}element-collection" maxOccurs="unbounded" minOccurs="0"/>
             <element name="embedded" type="{http://java.sun.com/xml/ns/persistence/orm}embedded" maxOccurs="unbounded" minOccurs="0"/>
             <element name="transient" type="{http://java.sun.com/xml/ns/persistence/orm}transient" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected List<JaxbTransient>` | `_transient`
`protected List<JaxbBasic>` | `basic`
`protected String` | `description`
`protected List<JaxbElementCollection>` | `elementCollection`
`protected List<JaxbEmbedded>` | `embedded`
`protected JaxbEmbeddedId` | `embeddedId`
`protected List<JaxbId>` | `id`
`protected List<JaxbManyToMany>` | `manyToMany`
`protected List<JaxbManyToOne>` | `manyToOne`
`protected List<JaxbOneToMany>` | `oneToMany`
`protected List<JaxbOneToOne>` | `oneToOne`
`protected List<JaxbVersion>` | `version`

Constructor Summary
`JaxbAttributes()`

Method Summary
`List<JaxbBasic>` | `getBasic()` Gets the value of the basic property.
`String` | `getDescription()` Gets the value of the description property.
`List<JaxbElementCollection>` | `getElementCollection()` Gets the value of the elementCollection property.
`List<JaxbEmbedded>` | `getEmbedded()` Gets the value of the embedded property.
`JaxbEmbeddedId` | `getEmbeddedId()` Gets the value of the embeddedId property.
`List<JaxbId>` | `getId()` Gets the value of the id property.
`List<JaxbManyToMany>` | `getManyToMany()` Gets the value of the manyToMany property.
`List<JaxbManyToOne>` | `getManyToOne()` Gets the value of the manyToOne property.
`List<JaxbOneToMany>` | `getOneToMany()` Gets the value of the oneToMany property.
`List<JaxbOneToOne>` | `getOneToOne()` Gets the value of the oneToOne property.
`List<JaxbTransient>` | `getTransient()` Gets the value of the transient property.
`List<JaxbVersion>` | `getVersion()` Gets the value of the version property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setEmbeddedId(JaxbEmbeddedId value)` Sets the value of the embeddedId property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### description

    protected String description

### id

    protected List<JaxbId> id

### embeddedId

    protected JaxbEmbeddedId embeddedId

### basic

    protected List<JaxbBasic> basic

### version

    protected List<JaxbVersion> version

### manyToOne

    protected List<JaxbManyToOne> manyToOne

### oneToMany

    protected List<JaxbOneToMany> oneToMany

### oneToOne

    protected List<JaxbOneToOne> oneToOne

### manyToMany

    protected List<JaxbManyToMany> manyToMany

### elementCollection

    protected List<JaxbElementCollection> elementCollection

### embedded

    protected List<JaxbEmbedded> embedded

### _transient

    protected List<JaxbTransient> _transient

Constructor Detail

### JaxbAttributes

    public JaxbAttributes()

Method Detail

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getId

    public List<JaxbId> getId()

  Gets the value of the id property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the id property.

  For example, to add a new item, do as follows:

          getId().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbId`

### getEmbeddedId

    public JaxbEmbeddedId getEmbeddedId()

  Gets the value of the embeddedId property.

  Returns:
    possible object is `JaxbEmbeddedId`

### setEmbeddedId

    public void setEmbeddedId(JaxbEmbeddedId value)

  Sets the value of the embeddedId property.

  Parameters:
    `value` - allowed object is `JaxbEmbeddedId`

### getBasic

    public List<JaxbBasic> getBasic()

  Gets the value of the basic property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the basic property.

  For example, to add a new item, do as follows:

          getBasic().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbBasic`

### getVersion

    public List<JaxbVersion> getVersion()

  Gets the value of the version property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the version property.

  For example, to add a new item, do as follows:

          getVersion().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbVersion`

### getManyToOne

    public List<JaxbManyToOne> getManyToOne()

  Gets the value of the manyToOne property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the manyToOne property.

  For example, to add a new item, do as follows:

          getManyToOne().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbManyToOne`

### getOneToMany

    public List<JaxbOneToMany> getOneToMany()

  Gets the value of the oneToMany property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the oneToMany property.

  For example, to add a new item, do as follows:

          getOneToMany().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbOneToMany`

### getOneToOne

    public List<JaxbOneToOne> getOneToOne()

  Gets the value of the oneToOne property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the oneToOne property.

  For example, to add a new item, do as follows:

          getOneToOne().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbOneToOne`

### getManyToMany

    public List<JaxbManyToMany> getManyToMany()

  Gets the value of the manyToMany property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the manyToMany property.

  For example, to add a new item, do as follows:

          getManyToMany().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbManyToMany`

### getElementCollection

    public List<JaxbElementCollection> getElementCollection()

  Gets the value of the elementCollection property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the elementCollection property.

  For example, to add a new item, do as follows:

          getElementCollection().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbElementCollection`

### getEmbedded

    public List<JaxbEmbedded> getEmbedded()

  Gets the value of the embedded property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the embedded property.

  For example, to add a new item, do as follows:

          getEmbedded().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbEmbedded`

### getTransient

    public List<JaxbTransient> getTransient()

  Gets the value of the transient property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transient property.

  For example, to add a new item, do as follows:

          getTransient().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbTransient`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.